Bug 134288 - /etc/log.d/scripts/services/http fails on access_log entries with multiple spaces in request field
Summary: /etc/log.d/scripts/services/http fails on access_log entries with multiple sp...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: logwatch   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Jiri Ryska
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-30 22:34 UTC by Gilbert E. Detillieux
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 15:05:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to allow multiple spaces in http request field (448 bytes, patch)
2004-09-30 22:37 UTC, Gilbert E. Detillieux
no flags Details | Diff

Description Gilbert E. Detillieux 2004-09-30 22:34:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030113

Description of problem:
The logwatch report on the http service incorrectly includes some
valid request URL's (under the unidentified 'other' category) if those
log entries have multiple space characters in the quoted request field.
For example:

A total of 9 unidentified 'other' records logged
  POST  /~cddb/cddb.cgi HTTP/1.0 with response code(s) 200 200 200 200
...

(Note the two spaces after the POST keyword, which is exaclty how
these requests also appear in the access_log file.)

Version-Release number of selected component (if applicable):
logwatch-5.1-3

How reproducible:
Always

Steps to Reproduce:
1. Produce access_log entries with multiple consecutive spaces in
request field.
2. Run: logwatch --service http
3. Note incorrectly flagged request in report.
    

Actual Results:  Report includes requests that should be considered
valid otherwise.

Expected Results:  Such requests should not be included in the report.

Additional info:

Patch to follow.

Comment 1 Gilbert E. Detillieux 2004-09-30 22:37:45 UTC
Created attachment 104606 [details]
patch to allow multiple spaces in http request field

Comment 2 Jiri Ryska 2004-11-09 13:42:51 UTC
Applied


Note You need to log in before you can comment on or make changes to this bug.